import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  template: `
  <ul>
    <li><a routerLink="/" routerLinkActive="current"
      [routerLinkActiveOptions]="{ exact: true }">
      ホーム</a></li>
    <li><a routerLink="/contents" routerLinkActive="current">
      記事を読む</a></li>
    <li><a routerLink="/dummy" routerLinkActive="current">
      不正なページを表示</a></li>
  </ul>
  <hr />
  <router-outlet></router-outlet>
`,
styles:[`.current { background-color:yellow; }`],
})
export class AppComponent {
  title = 'app';
}
